Create contact property
curl --request POST \
--url https://api.telli.com/v2/properties/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"label": "<string>",
"description": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>",
"description": "<string>"
}
]
}
'import requests
url = "https://api.telli.com/v2/properties/contacts"
payload = {
"key": "<string>",
"label": "<string>",
"description": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>",
"description": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key: '<string>',
label: '<string>',
description: '<string>',
options: [{value: '<string>', label: '<string>', description: '<string>'}]
})
};
fetch('https://api.telli.com/v2/properties/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<unknown>",
"key": "<string>",
"label": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>",
"description": "<string>"
}
]
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Option values must be unique",
"data": {
"duplicateValues": [
"<string>"
]
}
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "API key is missing or invalid",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "You've reached the maximum of 100 contact properties. Delete unused properties or contact us to add more.",
"data": {
"limit": 123,
"current": 123
}
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Property with key already exists",
"data": {
"key": "<string>"
}
}Contact Property Endpoints
Create Contact Property
Creates a new contact property for the authenticated account.
POST
/
v2
/
properties
/
contacts
Create contact property
Authorizations
API key authentication. Use your telli API key as the bearer token.
Body
application/json
Required string length:
1 - 64Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_-]*$Available options:
string, number, boolean, date, datetime, select, multi_select, phone_number, email Minimum string length:
1Only applicable for select and multi_select data types
Show child attributes
Show child attributes
Response
OK
Required string length:
1 - 64Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_-]*$Available options:
string, number, boolean, date, datetime, select, multi_select, phone_number, email Available options:
system, user, integration Only applicable for select and multi_select data types
Show child attributes
Show child attributes
Was this page helpful?
⌘I